Bug 1529331 (CVE-2017-17817) - CVE-2017-17817 nasm: Use-after-free in pp_verror function in asm/preproc.c
Summary: CVE-2017-17817 nasm: Use-after-free in pp_verror function in asm/preproc.c
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-17817
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20171221,reported=2...
Depends On: 1529336
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-27 16:51 UTC by Pedro Sampaio
Modified: 2019-06-08 22:35 UTC (History)
2 users (show)

Fixed In Version: nasm 2.13.02
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:35:25 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-12-27 16:51:05 UTC
In Netwide Assembler (NASM) 2.14rc0, there is a use-after-free in pp_verror in asm/preproc.c that will cause denial of service.

Upstream bug:

https://bugzilla.nasm.us/show_bug.cgi?id=3392427

Comment 1 Pedro Sampaio 2017-12-27 17:00:50 UTC
Created nasm tracking bugs for this issue:

Affects: fedora-all [bug 1529336]


Note You need to log in before you can comment on or make changes to this bug.